Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Interface Cache

All Known Implementing Classes:
  PartitionedTableCache, TableCache

public interface Cache

Version:
  `$Revision: 1.6.4.2 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`static interface` | `Cache.CacheLoader`
`static interface` | `Cache.Listener`
`static class` | `Cache.RemoveException`

Field Summary
`static Cache` | `NONE`

Method Summary
`boolean` | `contains(Transaction tx, Object pk)`
`void` | `flush()`
`Object[]` | `getFields(Object pk)`
`Object[]` | `getRelations(Object pk)`
`void` | `lock()`
`void` | `lock(Object key)`
`void` | `lockForUpdate(Transaction tx, Object pk)`
`void` | `put(Transaction tx, Object pk, Object[] fields, Object[] relations)`
`void` | `releaseLock(Transaction tx, Object pk)`
`void` | `remove(Transaction tx, Object pk)`
`void` | `unlock()`
`void` | `unlock(Object key)`

Field Detail

### NONE

    public static final Cache NONE

Method Detail

### lock

    public void lock()

### lock

    public void lock(Object key)

### unlock

    public void unlock()

### unlock

    public void unlock(Object key)

### getFields

    public Object[] getFields(Object pk)

### getRelations

    public Object[] getRelations(Object pk)

### put

    public void put(Transaction tx,
                    Object pk,
                    Object[] fields,
                    Object[] relations)

### remove

    public void remove(Transaction tx,
                       Object pk)
                throws Cache.RemoveException

  Throws:
    `Cache.RemoveException`

### contains

    public boolean contains(Transaction tx,
                            Object pk)

### lockForUpdate

    public void lockForUpdate(Transaction tx,
                              Object pk)
                       throws Exception

  Throws:
    `Exception`

### releaseLock

    public void releaseLock(Transaction tx,
                            Object pk)
                     throws Exception

  Throws:
    `Exception`

### flush

    public void flush()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.